﻿using System;

namespace StefanWalter.Moss2010.PictureComments
{
	/// <summary>
	/// project constants
	/// </summary>
	public class Constants
	{
		// Lists, Fields, ContentTypes
		internal const string ListCommentsTitle = "SWPictureComments";
		internal const string ListCommentsDescription = "Picture library comments";
		internal const string FieldNoteTitle = "PictureComment";
		internal const string FieldDescriptionName = "Description";
		internal const string FieldItemGUIDTitle = "ItemGUID";

		// EventLog
		internal const string EventlogSource = "SharePoint:PictureComments";
		internal const string EventlogLog = "Application";

		// Application Pages
		internal const string SWPictureLibraryActionPagePathWithSubfolder = @"\ApplicationPages\SWPictureLibraryAction.aspx";
		internal const string SWPictureLibraryActionPage = "SWPictureLibraryAction.aspx";

		// Querystring Parameters
		internal const string QSPListId = "ListId";
		internal const string QSPItemId = "ItemId";
		internal const string QSPSiteUrl = "SiteUrl";
		internal const string QSPDeleteCommand = "DeleteCommand";
	}
}
